## dmabuf dmabuf — Memory wrapper for Linux dmabuf memory |

## Functions

GstMemory * | gst_dmabuf_allocator_alloc ()
gint | gst_dmabuf_memory_get_fd ()
gboolean | gst_is_dmabuf_memory ()

## Includes

    #include <gst/allocators/gstdmabuf.h>

## Description

## Functions

### gst_dmabuf_allocator_alloc ()

    GstMemory *
    gst_dmabuf_allocator_alloc (GstAllocator *allocator,
                                gint fd,
                                gsize size);

Return a `GstMemory` that wraps a dmabuf file descriptor.

#### Parameters

allocator | allocator to be used for this memory. | [allow-none]
fd | dmabuf file descriptor |
size | memory size |

#### Returns

a GstMemory based on `allocator` . When the buffer will be released dmabuf allocator will close the `fd` . The memory is only mmapped on `gst_buffer_mmap()` request.

[transfer full]

Since 1.2

### gst_dmabuf_memory_get_fd ()

    gint
    gst_dmabuf_memory_get_fd (GstMemory *mem);

Return the file descriptor associated with `mem` .

#### Parameters

mem | the memory to get the file descriptor |

#### Returns

the file descriptor associated with the memory, or -1

Since 1.2

### gst_is_dmabuf_memory ()

    gboolean
    gst_is_dmabuf_memory (GstMemory *mem);

Check if `mem` is dmabuf memory.

#### Parameters

mem | the memory to be check |

#### Returns

`TRUE` if `mem` is dmabuf memory, otherwise `FALSE`

Since 1.2

## Types and Values

## See Also

GstMemory